Skip to main content
POST
cURL
Platform: Polymarket
Endpoint: POST /v2/semantic/retrieve/parameterized
Authentication: Bearer token

Query parameters

All requests use agent_id 568 (Candlesticks). Set filters inside params in the playground — all values must be strings.

Example Request

Example Response

Response fields

Notes

Use shorter intervals (e.g., 1m, 5m) intervals for intraday / pre-game analysis
Always match the interval with an appropriate start_time and end_time range. Requesting more data than the max range for a given interval will produce empty or incomplete results.
Use offset in the pagination object when retrieving large datasets to iterate through results efficiently.

Authorizations

Authorization
string
header
required

Your Falcon API key from the dashboard

Body

application/json
params
object
required

Filter parameters. All values must be strings.

agent_id
enum<integer>
default:568

Candlesticks agent ID.

Available options:
568
pagination
object
formatter_config
object

Response

Success

timestamp
string
read-only
params
object
read-only
pagination
object
read-only
data
object
read-only
request_id
string
read-only